Bug 99500 - [netgraph] [patch] netgraph doesn't honor the monitor interface flag
Summary: [netgraph] [patch] netgraph doesn't honor the monitor interface flag
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 6.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gleb Smirnoff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-26 23:30 UTC by Craig Leres
Modified: 2009-01-10 00:04 UTC (History)
0 users

See Also:


Attachments
file.diff (898 bytes, patch)
2006-06-26 23:30 UTC, Craig Leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2006-06-26 23:30:26 UTC
	When using netgraph to "bond" two syskonnect gige interfaces
	together for a packet capture application, we see output
	errors on the pseudo interface that is the sum of the number
	of packets input on the two syskonnect NICs. Examination
	of the code reveals that this is because the packets cannot
	be transmitted out the pseudo interface.

Fix: The appended patch causes netgraph to check the monitor bit
	and discard the packet if it's set; it also increments the
	input packet counter (which perhaps it should always do?)

	I suspect there are other places in netgraph where this
	should be done.

===================================================================
RCS file: netgraph/RCS/ng_eiface.c,v
retrieving revision 1.1
How-To-Repeat: 	This is our setup:

	    kldload ng_ether

	    ifconfig sk0 promisc -arp up
	    ifconfig sk1 promisc -arp up

	    ngctl mkpeer . eiface hook ether
	    ngctl mkpeer ngeth0: one2many lower one
	    ngctl connect sk0: ngeth0:lower lower many0
	    ngctl connect sk1: ngeth0:lower lower many1

	    ifconfig ngeth0 -arp monitor up
Comment 1 Gleb Smirnoff freebsd_committer 2006-08-11 14:28:35 UTC
Responsible Changed
From-To: freebsd-bugs->glebius

I'll handle this.
Comment 2 Gleb Smirnoff freebsd_committer 2007-07-26 11:53:37 UTC
State Changed
From-To: open->patched

Committed, thanks.
Comment 3 dfilter freebsd_committer 2007-07-26 11:54:43 UTC
glebius     2007-07-26 10:54:34 UTC

  FreeBSD src repository

  Modified files:
    sys/netgraph         ng_eiface.c 
  Log:
  Honor the IFF_MONITOR flag.
  
  PR:             kern/99500
  Submitted by:   Craig Leres <leres ee.lbl.gov>
  Approved by:    re (kensmith)
  
  Revision  Changes    Path
  1.39      +6 -0      src/sys/netgraph/ng_eiface.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Alexander Motin freebsd_committer 2009-01-10 00:03:29 UTC
State Changed
From-To: patched->closed

Patch was committed long ago, so I think we can close PR.